package jrummikub;

import javax.swing.UIManager;

import jrummikub.control.TurnControl;
import jrummikub.model.GameState;
import jrummikub.model.Position;
import jrummikub.view.impl.View;

public class JRummikub {

	public static void main(String[] args) {
		String nativeLF = UIManager.getSystemLookAndFeelClassName();

		try {
			UIManager.setLookAndFeel(nativeLF);
		} catch (Exception e) {
		}

		GameState gameState = new GameState();
		View view = new View();

		gameState.getActivePlayer().getHand()
				.drop(gameState.getGameHeap().drawStone(), new Position(0, 0));

		TurnControl turnControl = new TurnControl(gameState.getActivePlayer()
				.getHand(), gameState.getTable(), view);

	}

}
